BEGIN 9xMiner

////////////Before the quest is completed

IF~NumTimesTalkedTo(0) GlobalLT("ISHxGift","GLOBAL",5)~THEN BEGIN Miner000
SAY @0
IF~~THEN REPLY @1 GOTO Miner001
IF~~THEN REPLY @2 GOTO Miner002
IF~~THEN REPLY @3 GOTO Miner003
IF~~THEN REPLY @4 GOTO Miner004
END

IF~NumTimesTalkedToGT(0) GlobalLT("ISHxGift","GLOBAL",5)~THEN BEGIN Miner00A
SAY @5
IF~~THEN REPLY @6 GOTO Miner001
IF~~THEN REPLY @7 GOTO Miner002
IF~~THEN REPLY @8 GOTO Miner003
IF~~THEN REPLY @9 GOTO Miner004
END

IF~~THEN BEGIN Miner001
SAY @10
=
@11
IF~~THEN REPLY @12 GOTO Miner005
IF~~THEN REPLY @13 GOTO Miner002
IF~~THEN REPLY @14 GOTO Miner003
IF~~THEN REPLY @15 GOTO Miner004
END

IF~~THEN BEGIN Miner002
SAY @16
IF~~THEN REPLY @17 GOTO Miner003
IF~~THEN REPLY @18 GOTO Miner004
IF~~THEN REPLY @19 GOTO Miner001
END

IF~~THEN BEGIN Miner003
SAY @20
IF~~THEN REPLY @21 GOTO Miner002
IF~~THEN REPLY @22 GOTO Miner004
IF~~THEN REPLY @23 GOTO Miner001
END

IF~~THEN BEGIN Miner004
SAY @24
IF~~THEN EXIT
END

IF~~THEN BEGIN Miner005
SAY @25
IF~~THEN REPLY @26 GOTO Miner006
IF~~THEN REPLY @27 GOTO Miner004
END

IF~~THEN BEGIN Miner006
SAY @28
IF~~THEN REPLY @29 GOTO Miner002
IF~~THEN REPLY @30 GOTO Miner003
IF~~THEN REPLY @31 GOTO Miner004
END

///////////////////After the main plot

IF~GlobalGT("ISHxGift","GLOBAL",4) Global("ISHxMiner","GLOBAL",0)~THEN BEGIN MinerA000
SAY @32
IF~~THEN DO ~SetGlobal("ISHxMiner","GLOBAL",1)~ EXIT
END

///////////////////After the reputation inc

IF~Global("ISHxMiner","GLOBAL",1)~THEN BEGIN MinerA001
SAY @33
IF~~THEN EXIT
END
